<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_providers', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->string('name')->unique();
            $table->string('slug')->unique()->index();
            $table->string('api_endpoint');
            $table->boolean('active')->default(true)->index();

            // Auditoría
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_providers');
    }
};
