<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_provider_settings', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->unsignedSmallInteger('provider_id')->index();

            $table->string('api_key');
            $table->string('model')->nullable();
            $table->float('temperature', 3, 2)->default(0.7);
            $table->integer('max_tokens')->default(4096);
            $table->float('frequency_penalty', 3, 2)->default(0.0);
            $table->float('presence_penalty', 3, 2)->default(0.0);

            // Auditoría
            $table->timestamps();

            // Relaciones
            $table->foreign('provider_id')->references('id')->on('chatbot_providers')->cascadeOnUpdate()->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_provider_settings');
    }
};
