<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_client_settings', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->unsignedMediumInteger('user_id')->index();
            $table->unsignedSmallInteger('provider_id')->index();

            $table->json('preferences')->nullable()->comment('Ajustes personalizados específicos del cliente para el chatbot');
            $table->decimal('monthly_budget', 10, 2)->default(0);

            // Auditoría
            $table->timestamps();

            // Relaciones
            $table->foreign('user_id')->references('id')->on('users')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreign('provider_id')->references('id')->on('chatbot_providers')->cascadeOnUpdate()->cascadeOnDelete();
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_privacy_settings');
    }
};
