<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_manual_training', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->string('input')->unique();
            $table->text('expected_output');
            $table->boolean('validated')->default(false)->index();
            $table->unsignedMediumInteger('validated_by')->nullable();
            $table->timestamp('validated_at')->nullable();

            // Auditoría
            $table->timestamps();

            // Relaciones
            $table->foreign('validated_by')->references('id')->on('users')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_manual_training');
    }
};
