<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_conversation_messages', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->unsignedSmallInteger('conversation_id')->index();

            $table->enum('sender', ['user', 'chatbot']);

            $table->text('message');

            $table->jsonb('metadata')->nullable()->comment('Información adicional del mensaje, como tokens usados, modelo usado, proveedor, etc.');

            // Auditoría
            $table->timestamps();

            // Indices
            $table->index(['conversation_id', 'sender']);

            // Relaciones
            $table->foreign('conversation_id')->references('id')->on('chatbot_conversations')->cascadeOnUpdate()->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_conversation_messages');
    }
};
