<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_user_feedback', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->unsignedSmallInteger('conversation_id')->index();
            $table->unsignedMediumInteger('user_id')->nullable()->index();

            $table->integer('rating')->default(5)->index();
            $table->text('feedback')->nullable();

            // Auditoría
            $table->timestamps();

            // Indices
            $table->index(['conversation_id', 'user_id']);

            // Relaciones
            $table->foreign('conversation_id')->references('id')->on('chatbot_conversations')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreign('user_id')->references('id')->on('users')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_user_feedback');
    }
};
