<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chatbot_sensitive_data_logs', function (Blueprint $table) {
            $table->smallIncrements('id');

            $table->unsignedSmallInteger('conversation_message_id')->index();

            $table->string('detected_type')->index()->comment('Ej: RFC, Teléfono, Tarjeta de crédito');
            $table->text('masked_data');

            // Auditoría
            $table->timestamps();

            // Indices
            $table->index(['conversation_message_id', 'detected_type'])->name('chatbot_sensitive_data_logs_message_detected_type_index');

            // Relaciones
            $table->foreign('conversation_message_id')->references('id')->on('chatbot_conversation_messages')->cascadeOnUpdate()->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chatbot_sensitive_data_logs');
    }
};
